@import './inputs';
@import './checkboxes';
@import './radiobuttons';
@import './select';
@import './range';
@import './quantity';
@import './options';

.form-group {
    margin-bottom: rem(16);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(30);
    }
}

.form-icon {
    left: 20px;
    top: calc(50% - 10px);
    font-size: 0;
    line-height: 0;
    width: 20px;
    height: 20px;
    display: block;
    position: absolute;

    &--right {
        left: auto;
        right: 20px;
    }
}

.form-media-hint {
    right: 0;
    z-index: 200;
    width: 375px;
    display: block;
    max-width: 100%;
    overflow: hidden;
    top: calc(100% + 3px);
    position: absolute;
    border-radius: rem(10);
    box-shadow: var(--bs-box-shadow);
    transition: .25s;
    opacity: 0;
    visibility: hidden;
}

[data-field-hint]:hover + .form-media-hint {
    opacity: 1;
    visibility: visible;
    transition: .25s;
}
